Subject: Re: [PATCH v3 net-next 1/2] lan743x: Add main source files for new lan743x driver

From: Andrew Lunn <[email-masked]>
Date: Fri, 2 Mar 2018 21:14:23 +0100

> Hi Andrew,

> The phy is built in for LAN7430, and external for LAN7431. But the
> same reset should work in both cases because it asserts the normal
> phy reset line.

Assuming the PHY reset is connect to the external line, not a GPIO.
So this is O.K.

> > Assuming it is built in, does the MAC get the interrupt?
> > phy_mac_interrupt() can be called if so.
> 
> I believe the MAC does support a phy interrupt. But right now it's
> working well using phy polling. Is it ok if I post pone supporting phy
> interrupts until a future patch? I am planning a series of patches, and I
> can add support for phy interrupts to the list.

Yes, adding this later is fine.

     Andrew